Skip to main content
GET
/
v1
/
companies
/
{cik}
/
topics
/
{topic_id}
/
timeline
Quarter-by-quarter topic evolution for a company
curl --request GET \
  --url https://api.ivory.finance/v1/companies/{cik}/topics/{topic_id}/timeline \
  --header 'X-API-Key: <api-key>'
{
  "cik": "<string>",
  "topic_id": 123,
  "topic_name": "<string>",
  "topic_slug": "<string>",
  "timeline": [
    {
      "quarter": "<string>",
      "mentions": 123,
      "relevance": 123,
      "positive": 123,
      "negative": 123,
      "doc_count": 123,
      "period_start": "2023-12-25"
    }
  ],
  "company_name": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.ivory.finance/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-Key
string
header
required

Path Parameters

cik
string
required
topic_id
integer
required

Query Parameters

date_from
string<date> | null

Default: 3 years ago

date_to
string<date> | null
source_type
string
default:all

Response

Successful Response

cik
string
required
topic_id
integer
required
topic_name
string
required
topic_slug
string
required
timeline
TimelinePoint · object[]
required
company_name
string | null